# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ezrac"
version = "0.1.10"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Compiler and tooling prototype for the EZRA language"
readme = "README.md"
license = "MIT"
repository = "https://github.com/isaiahpettingill/ezrac"

[features]
default = []
lsp = [
    "dep:lsp",
    "dep:serde",
    "dep:serde_json",
]

[lib]
name = "ezra"
path = "src/lib.rs"

[[bin]]
name = "ezrac"
path = "src/main.rs"

[dependencies.ez80]
version = "0.4.5"

[dependencies.lsp]
version = "0.1.1"
optional = true

[dependencies.pest]
version = "2.8.7"

[dependencies.pest_derive]
version = "2.8.7"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]
optional = true

[dependencies.serde_json]
version = "1.0.150"
optional = true

[dependencies.toml]
version = "1.1.2"
